import React from 'react';
import { useSelector } from 'react-redux';
import { Point } from '../../lib/geo';
import { MapState } from '../../store/map';

const Reticle: React.FC<{}> = () => {

  const windowState = useSelector(
    (state: { map: MapState }) => state.map.window
  );

  const center: Point = { x: windowState.width / 2, y: windowState.height / 2 };
  const radius = Math.min(windowState.width, windowState.height) / 6;

  return (
    <g>
      <circle
        cx={center.x}
        cy={center.y}
        r={radius}
        fill='transparent'
        stroke='black'
        strokeWidth={2}
      />
      <path
        d={`M ${center.x - radius},${center.y} 
            h ${radius - 3} 
            m ${6},0
            h ${radius - 3}
            M ${center.x},${center.y - radius}
            v ${radius - 3}
            m 0,${6}
            v ${radius - 3}`}
        strokeWidth={1}
        stroke='red'
      />
    </g>
  );
};

export default Reticle;
